/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DB_RESULT_SET_H
#define DB_RESULT_SET_H

#include <glib-object.h>
#include "db-result.h"

#define	DB_TYPE_RESULT_SET (db_result_set_get_type())

typedef struct _DbResultSet DbResultSet;

/**
 * DbResultSet: (skip)
 * @results: (element-type Db.Result):
 * 
 * Has the information of a result.
 **/
struct _DbResultSet
{
	GSList * results;
};

GType			db_result_set_get_type	();
DbResultSet *	db_result_set_new		();
DbResult *		db_result_set_take_nth	(DbResultSet * obj, guint n);
DbResult *		db_result_set_take_next	(DbResultSet * obj);
DbResultSet *	db_result_set_copy		(const DbResultSet * obj);
void			db_result_set_free		(DbResultSet * obj);

#endif