/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "vn-customer.h"

G_DEFINE_TYPE (VnCustomer, vn_customer, VN_TYPE_FORM);

//+++++++++++++++++++++++++++++++++++++++++++++++++++ Private

static void vn_customer_open (VnForm * obj, gpointer user_data)
{
	DbIterator * info = vn_form_get (obj, "info");

	DbIterator * homes = vn_form_get (obj, "homes");
	db_iterator_link (homes, "user_id", info, "id");
}

//+++++++++++++++++++++++++++++++++++++++++++++++++++ Class

static void vn_customer_init (VnCustomer * obj) {}

static void vn_customer_class_init (VnCustomerClass * k)
{
	VN_FORM_CLASS (k)->open = (VnFormOpenFunc) vn_customer_open;
}
