/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_TABLE_H
#define SQL_TABLE_H

#include "sql-target.h"

#define SQL_TYPE_TABLE		(sql_table_get_type ())
#define SQL_TABLE(obj)		(G_TYPE_CHECK_INSTANCE_CAST (obj, SQL_TYPE_TABLE, SqlTable))
#define SQL_IS_TABLE(obj)	(G_TYPE_CHECK_INSTANCE_TYPE (obj, SQL_TYPE_TABLE))

typedef struct _SqlTable SqlTable;
typedef struct _SqlTableClass SqlTableClass;

struct _SqlTable
{
	SqlTarget parent;
	gchar * name;
	gchar * schema;
};

struct _SqlTableClass
{
	/* <private> */
	SqlTargetClass parent;
};

GType		sql_table_get_type		();
SqlTarget *	sql_table_new			(const gchar * name);

#endif
