/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LIB_OBJECT_H
#define LIB_OBJECT_H

#include <glib-object.h>

#define LIB_TYPE_OBJECT				(lib_object_get_type ())
#define LIB_OBJECT(obj)				(G_TYPE_CHECK_INSTANCE_CAST (obj, LIB_TYPE_OBJECT, LibObject))
#define LIB_IS_OBJECT(obj)			(G_TYPE_CHECK_INSTANCE_TYPE (obj, LIB_TYPE_OBJECT))
#define LIB_OBJECT_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST (klass, LIB_TYPE_OBJECT, LibObjectClass))
#define LIB_IS_OBJECT_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, LIB_TYPE_OBJECT))
#define LIB_OBJECT_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS (obj, LIB_TYPE_OBJECT, LibObjectClass))

typedef struct _LibObject LibObject;
typedef struct _LibObjectClass LibObjectClass;

struct _LibObject
{
	GObject parent;
};

struct _LibObjectClass
{
	GObjectClass parent;
};

GType	lib_object_get_type	();

#endif