/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "vn-iterator.h"

//+++++++++++++++++++++++++++++++++++++++++++++++++++ GtkBuildable

static void vn_iterator_buildable_add_child (GtkBuildable * obj,
	GtkBuilder * builder, GObject * child, const gchar * type)
{
	db_iterator_add_param (DB_ITERATOR (obj), DB_PARAM (child));
}

//+++++++++++++++++++++++++++++++++++++++++++++++++++ Class

static void vn_iterator_finalize (VnIterator * obj)
{
	GObjectClass * parent = g_type_class_peek_parent (VN_ITERATOR_GET_CLASS (obj));
	parent->finalize (G_OBJECT (obj));
}

static void vn_iterator_class_init (VnIteratorClass * klass)
{
	GObjectClass * k = G_OBJECT_CLASS (klass);
	k->finalize = (GObjectFinalizeFunc) vn_iterator_finalize;
}

static void vn_iterator_buildable_interface_init (GtkBuildableIface * iface)
{
	iface->add_child = vn_iterator_buildable_add_child;
}

static void vn_iterator_init (VnIterator * obj)
{}

G_DEFINE_TYPE_WITH_CODE (VnIterator, vn_iterator, DB_TYPE_ITERATOR,
	G_IMPLEMENT_INTERFACE (GTK_TYPE_BUILDABLE,
		vn_iterator_buildable_interface_init)
);
